Ubuntu 7.04 - configure

Sekcia: Aplikácie & Desktop 19.01.2008 | 18:11
karschm   Návštevník
Zdravim vsechny a prosim o radu. Kompiluji jeden programek a po ./configure se objevi na konci tato hlaska:

checking for Qt... configure: error: Qt (>= Qt 3.1 (20021021) and < 4.0) (headers and libraries) not found. Please check your installation!
For more details about this problem, look at the end of config.log.

Muzete mi prosim nekdo rict, co mi chybi? Diky predem!
    • Re: Ubuntu 7.04 - configure 19.01.2008 | 18:13
      Avatar Dare_devil Debian, OpenSuse  Používateľ
      Mas to tam napisane, chyba ti Qt vacsie alebo rovne 3.1 a mensie ako 4.0
      There is no flag large enough to cover the shame of killing innocent people
      • Re: Ubuntu 7.04 - configure 19.01.2008 | 18:35
        karschm   Návštevník
        Diky! Qt jsem mel nainstalovane, ale zapomnel jsem, ze potrebuji k tomu jeste libqt. Ted to bude snat v poradku.
        • Re: Ubuntu 7.04 - configure 19.01.2008 | 18:49
          karschm   Návštevník
          Qt je ted v poradku, ale pro zmenu ted tato hlaska:

          checking for KDE... configure: error:
          in the prefix, you've chosen, are no KDE headers installed. This will fail.
          So, check this please and use another prefix!

          Zadny prefix jsem nepouzil a KD take nemam, nybrz GNOME. Jaky prefix to vubec chce, je to na moc!
    • Re: Ubuntu 7.04 - configure 19.01.2008 | 19:01
      Avatar Frantisek Klabzuba Debian  Používateľ
      libqt3-mt-dev
      • Re: Ubuntu 7.04 - configure 19.01.2008 | 19:07
        karschm   Návštevník
        libqt3-mt-dev je nainstalovany...
        • Re: Ubuntu 7.04 - configure 19.01.2008 | 19:48
          Avatar Pavel Ubuntu Mate, Android  Používateľ
          Skús nahodiť kdebase3-devel, kdelibs3-devel.
          Jabber ID: dumaru79@jabbim.com
          • Re: Ubuntu 7.04 - configure 20.01.2008 | 16:35
            karschm   Návštevník
            To bylo ono, diky. Ted to jiz jde.
        • Re: Ubuntu 7.04 - configure 19.01.2008 | 20:03
          Avatar Pavel Ubuntu Mate, Android  Používateľ
          Inak aký program chceš kompilovať, nenašiel si balík? Celé GNOME si zasviníš zbytočnými KDE devel knižnicami, ak nemáš inú možnosť inštaluj cez Aptitude a po kompilácii ich môžeš všetky odobrať.
          Jabber ID: dumaru79@jabbim.com
          • Re: Ubuntu 7.04 - configure 20.01.2008 | 16:32
            karschm   Návštevník
            Chtel bych nainstalit program SKYLENDAR, balik pro Ubuntu jsem bohuzel nikde nenasel
          • Re: Ubuntu 7.04 - configure 20.01.2008 | 16:36
            karschm   Návštevník
            Asi jina moznost nebude, udelam to jak radis a pak je zase vyhazim. Diky!
            • Re: Ubuntu 7.04 - configure 20.01.2008 | 17:34
              Avatar Pavel Ubuntu Mate, Android  Používateľ
              Pozeral som ten balík a tiež som nič nenašiel. Ešte taký tip, skús použiť checkinstall a vytvor si pri kompilácii balík. Nie vždy to funguje, ale to zistíš. Ja mám vytvorený zo zdrojákov balík MPlayer bez GUI a KGTK.
              Jabber ID: dumaru79@jabbim.com
              • Re: Ubuntu 7.04 - configure 20.01.2008 | 21:02
                karschm   Návštevník
                Pouzil jsem checkinstall, balik to vytvorilo v pohode a taky se nainstaloval bez problemu. Ted mam ale dalsi potiz. Po startu programu to chce log-in do SQL databaze...a jsem u konce, neb nevim jak na to. Nemel bys nejaky tip?
                • Re: Ubuntu 7.04 - configure 20.01.2008 | 23:57
                  Avatar Pavel Ubuntu Mate, Android  Používateľ
                  S databázami nemám skúsenosti, musí ti poradiť niekto iný.
                  Jabber ID: dumaru79@jabbim.com
    • Re: Ubuntu 7.04 - configure 19.01.2008 | 20:36
      Avatar Tommy Angelo   Používateľ
      tato hlaska sa mi zobrazovala milion krat pri kompilovani...zatim som ju nikdy nevyriesil. A mas 64bit al 32bit? Ja 64bit
      • Re: Ubuntu 7.04 - configure 20.01.2008 | 17:59
        Avatar Igor Hlina Mac OS ML  Používateľ
        Chalani, stale zabudate, ze ked idete nieco kompilovat, treba si nainstalovat devel baliky. Ak je to program pre KDE, treba devel baliky pre KDE aj QT.
        while (2*2 == 5) { echo "If you're reading this, something is definitely wrong"; }
        • Re: Ubuntu 7.04 - configure 20.01.2008 | 20:25
          Avatar Pavel Ubuntu Mate, Android  Používateľ
          Každý na to nezabúda ;-)
          Jabber ID: dumaru79@jabbim.com